<?php

add_shortcode("wp_simple_geo"   ,"wp_simple_geo_shortcode");


function wp_simple_geo_shortcode($atts,$content = "")
{
    global $post;
    $atts   = shortcode_atts(array(
                "show_country"  => "",
                "show_region"   => "",
                "show_city"     => "",
                "hide_country"  => "",
                "hide_region"   => "",
                "hide_city"     => "",

              ),$atts,"wp_simple_geo");

    $show   = wp_simple_geo_shortcode_check($atts,$post,$content);

    if($show) :

        ob_start();

        $content = $content.ob_get_contents();
        ob_end_clean();

        return apply_filters("the_content",$content);

    endif;

    return "";
}


function wp_simple_geo_shortcode_check($atts,$post,$content)
{
    global $wp_simple_geo;
    $current_action = "";
    $show   = false;

    $data   = $wp_simple_geo;

    if($data) :
        foreach((array) $atts as $key => $value) :
            if(!empty($value)) :
                $values  = explode(",",strtoupper($value));
                if(strpos($key,"show") !== false) :
                    $action = "show";
                    $key_i  = str_replace("show_","",$key);
                elseif(strpos($key,"hide") !== false) :
                    $action = "hide";
                    $key_i  = str_replace("hide_","",$key);
                endif;

                $target     = $data[$key_i];
                $call      = false;


                foreach((array) $values as $i => $val) :
                    if(strpos($target,$val) !== false) :
                        $call  = true;
                    endif;
                endforeach;

                if($call) :
                    $current_action  = $action;
                    do_action("wp_simple_geo_statistic_update",$atts,$post,$content);
                else :
                    $current_action  = ($action == "show") ? 'hide' : "show";
                endif;
                // endif;
            endif;
        endforeach;
    endif;

    if($current_action != "") :

    endif;

    $show   = ($current_action == "show") ? true : false;

    return $show;
}
